org.apache.cassandra.io.sstable.format

## Class SSTableWriter.Factory

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.SSTableWriter.Factory

- Enclosing class:
    SSTableWriter

      public abstract static class SSTableWriter.Factory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SSTableWriter` | `open(Descriptor descriptor, long keyCount, long repairedAt, CFMetaData metadata, IPartitioner partitioner, MetadataCollector metadataCollector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### open

          public abstract SSTableWriter open(Descriptor descriptor,
                                             long keyCount,
                                             long repairedAt,
                                             CFMetaData metadata,
                                             IPartitioner partitioner,
                                             MetadataCollector metadataCollector)

Copyright © 2018 The Apache Software Foundation